# $Revision: 1.10 $, $Date: 2010/08/22 08:51:18 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Net_Nmap
Summary:	%{_pearname} - A simple wrapper class for the Nmap utility
Summary(pl.UTF-8):	%{_pearname} - prosty wrapper dla programu nmap
Name:		php-pear-%{_pearname}
Version:	1.0.3
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	50f41a7f123f61462996d34a23f5c1a9
URL:		http://pear.php.net/package/Net_Nmap/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	nmap
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.5.4
Requires:	php-pear-XML_Parser
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_Nmap is a simple interface for Nmap, the free and open source
utility for network exploration or security auditing.

Net_Nmap can be used to auto discovery hosts and services in your
network or simply to parse Nmap XML output.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_Nmap to prosty interfejs do programu nmap, nardzędzia do analizy
ruchu i audytu bezpieczeństwa.

Net_Nmap może być użyty do wykrycia maszyn i usług w sieci lub do
analizy raportu XML z nmapa.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/Nmap
%{php_pear_dir}/Net/Nmap.php
%{php_pear_dir}/data/Net_Nmap

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/Net_Nmap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Nmap.spec,v $
Revision 1.10  2010/08/22 08:51:18  glen
- ensure rpmbuild macros present

Revision 1.9  2010/08/21 19:08:14  glen
- updated deps with pearize.sh
- release 2

Revision 1.8  2010/08/20 23:27:46  glen
- up to 1.0.3

Revision 1.7  2010/08/20 13:04:25  glen
- updated to: 1.0.2

Revision 1.6  2009/02/01 18:07:57  adamg
- updated to 1.0.1

Revision 1.5  2008/10/14 07:24:17  adamg
- updated to 1.0.0
- path.fix applied upstream

Revision 1.4  2008-05-24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.3  2008-05-23 19:59:03  adamg
- PEAR epoch

Revision 1.2  2008-05-23 19:51:54  adamg
- PEAR-core is enough

Revision 1.1  2008-05-18 09:44:32  adamg
- new
